'''
created by: matt  2018-03-11

EMMIDD2.dbo.CY_ValueDaily_Quote

列名	中文名	别名	类型	单位	默认值	是否可空	说明
SecuCode	证券代码		varchar(12)			FALSE	
SecuAbbr	证券名称		nvarchar(40)			TRUE	
ReportPeriod	报告期		datetime			TRUE	
TradeDate	交易日期		datetime			FALSE	

PE1	市盈率(TTM)		numeric(14,4)	倍		TRUE	市盈率(TTM)
PB	市净率		numeric(14,4)	倍		TRUE	
PS	市销率		numeric(14,4)	倍		TRUE	

ClosePrice	最新收盘价		numeric(12,4)	元		TRUE	
RMBShares	最新流通A股		numeric(18,4)	万股		TRUE	
ValidShares	最新有效流通股		numeric(18,4)	万股		TRUE	扣除了非有效流通股数据
MarketValue	最新总市值		numeric(18,4)	元		TRUE	

'''

class ValueDaily():
    def __init__(self):
        pass
    '''
    def __init__(self,SecuCode,SecuAbbr,TradeDate,ReportPeriod,PE1,PB,PS,ClosePrice,RMBShares,Bshares,ValidShares,MarketValue):
        self.SecuCode = SecuCode         	
        self.SecuAbbr = SecuAbbr
        self.TradeDate = TradeDate
        self.ReportPeriod = ReportPeriod
        self.PE1 = PE1
        self.PB = PB
        self.PS = PS
        self.ClosePrice = ClosePrice
        self.RMBShares = RMBShares
        self.ValidShares = ValidShares
        self.MarketValue = MarketValue     
    '''
    def printMe(self):
        print(self.SecuCode,self.SecuAbbr,self.TradeDate)

       
                        